package com.happy.Model.weixin;

import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

/**
 * 统一下单实体类
 * @author QT-666
 *
 */
@XmlRootElement(name="xml")
public class WechatUnifiedOrder implements Serializable{
	private String appid;   //微信支付分配的公众账号ID（企业号corpid即为此appId）
	private String mch_id;  //微信支付分配的商户号
	private String nonce_str;   //随机字符串，长度要求在32位以内。推荐随机数生成算法
	private String sign;  //通过签名算法计算得出的签名值，详见签名生成算法
	private String body;   //商品简单描述，该字段请按照规范传递，具体请见参数规定
	private String out_trade_no;  //	商户系统内部订单号，要求32个字符内，只能是数字、大小写字母_-|*@ ，且在同一个商户号下唯一。详见商户订单号
	private String out_refund_no;  // 退款单号
	private int total_fee;   //订单总金额，单位为分，详见支付金额
	private Integer refund_fee;  // 退款金额
	private String spbill_create_ip;  //APP和网页支付提交用户端ip，Native支付填调用微信支付API的机器IP。
	private String notify_url;   //异步接收微信支付结果通知的回调地址，通知url必须为外网可访问的url，不能携带参数。
	private String trade_type;  //取值如下：JSAPI，NATIVE，APP等，说明详见参数规定
	private String openid;   //trade_type=JSAPI时（即公众号支付），此参数必传，此参数为微信用户在商户对应appid下的唯一标识
	private String attach;//数据包
	
	public String getAttach() {
		return attach;
	}
	public void setAttach(String attach) {
		this.attach = attach;
	}
	public String getAppid() {
		return appid;
	}
	public void setAppid(String appid) {
		this.appid = appid;
	}
	public String getMch_id() {
		return mch_id;
	}
	public void setMch_id(String mch_id) {
		this.mch_id = mch_id;
	}
	public String getNonce_str() {
		return nonce_str;
	}
	public void setNonce_str(String nonce_str) {
		this.nonce_str = nonce_str;
	}
	public String getSign() {
		return sign;
	}
	public void setSign(String sign) {
		this.sign = sign;
	}
	public String getBody() {
		return body;
	}
	public void setBody(String body) {
		this.body = body;
	}
	public String getOut_trade_no() {
		return out_trade_no;
	}
	public void setOut_trade_no(String out_trade_no) {
		this.out_trade_no = out_trade_no;
	}
	public String getOut_refund_no() {
		return out_refund_no;
	}
	public void setOut_refund_no(String out_refund_no) {
		this.out_refund_no = out_refund_no;
	}
	public int getTotal_fee() {
		return total_fee;
	}
	public void setTotal_fee(int total_fee) {
		this.total_fee = total_fee;
	}
	public Integer getRefund_fee() {
		return refund_fee;
	}
	public void setRefund_fee(Integer refund_fee) {
		this.refund_fee = refund_fee;
	}
	public String getSpbill_create_ip() {
		return spbill_create_ip;
	}
	public void setSpbill_create_ip(String spbill_create_ip) {
		this.spbill_create_ip = spbill_create_ip;
	}
	public String getNotify_url() {
		return notify_url;
	}
	public void setNotify_url(String notify_url) {
		this.notify_url = notify_url;
	}
	public String getTrade_type() {
		return trade_type;
	}
	public void setTrade_type(String trade_type) {
		this.trade_type = trade_type;
	}
	public String getOpenid() {
		return openid;
	}
	public void setOpenid(String openid) {
		this.openid = openid;
	}
	

	
	

}
